config/routes.rb
Rails.application.routes.draw do
  devise_for :admin_users, ActiveAdmin::Devise.config
  ActiveAdmin.routes(self)
  mount ForestLiana::Engine => '/forest'
	get 'home' => 'home#home', as: 'home'

	get 'alogin' => 'session#login'
	post 'alogin' => 'session#create'
	get 'alogout' => 'session#destroy'

	get 'register' => 'register#new'
	post 'signup' => 'register#create'
	get 'profile' => 'register#profile'
	get 'edit' => 'register#edit'
	post 'edit' => 'register#update'
	get 'epass' => 'register#epass'
	post 'epass' => 'register#uppass'

	get 'login' => 'login#new'
	post 'login' => 'login#create'
	get 'logout' => 'login#destroy'

	get 'gindex' => 'galon#index'
	get 'gform' => 'galon#new'
	post 'gsave' => 'galon#create'

	get 'tindex' => 'tangki#index'
	get 'tform' => 'tangki#new'
	post 'tsave' => 'tangki#create'

	resources :galon, :only => [:show]

	resources :tangki, :only => [:show]

	root 'home#home'
end

app/models/admin_user.rb
class AdminUser < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable, :trackable and :omniauthable
  devise :database_authenticatable, 
         :recoverable, :rememberable, :validatable
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/galon.rb
class Galon < ApplicationRecord
	validates :jgalon, presence: true, :numericality => {:only_integer => true}
	validates :telp, presence: true, :numericality => {:only_integer => true}
	validates :alamat, presence: true
	def sub_total
    sum = jgalon * 5000
    end
end

app/models/tangki.rb
class Tangki < ApplicationRecord
	validates :liter, presence: true
	validates :telp, presence: true, :numericality => {:only_integer => true}
	validates :alamat, presence: true
	def sub_total
    sum = liter * 70000
    end
end

app/models/user.rb
class User < ApplicationRecord
	has_secure_password
	validates :fnama, presence: true
    validates :nama, presence: true
    validates :telp, presence: true, :numericality => {:only_integer => true}
    validates :alamat, presence: true
    validates :password, confirmation: true, length: { minimum: 8 }
end

app/controllers/galon_controller.rb
class GalonController < ApplicationController
	def index
		@galons = Galon.all
	end

	def show
		@galond = Galon.find(params[:id])
	end

	def new
		@galon = Galon.new
	end

	def create
		@galon = Galon.new(galon_params)
		if @galon.save
			redirect_to @galon
		else
			redirect_to '/gform'
		end
	end

	private
	def galon_params
		params.require(:galon).permit(:jgalon, :telp, :alamat)
	end
end

app/controllers/home_controller.rb
class HomeController < ApplicationController
	def home
	end
end

app/controllers/login_controller.rb
class LoginController < ApplicationController
	def create
		user = User.find_by_nama(params[:nama])
		if user && user.authenticate(params[:password])
			session[:user_id] = user.id
			redirect_to '/'
		else
			redirect_to '/login'
		end
	end

	def destroy
		session[:user_id] = nil
		redirect_to '/login'
	end
end

app/controllers/pgalon_controller.rb
class PgalonController < ApplicationController
	def gkonfirm
		@galon = Galon.find(params[:id])
	end

	def gconfirm
		pgalon = Pgalon.new(pgalon_params)
		if pgalon.save
			redirect_to '/gstatus'
		else
			redirect_to '/gkonfirm'
		end
	end

	def status
		@pgalon = current_pgalon
	end

	private
	def pgalon_params
		params.require(:pgalon).permit(:gid, :harga)
	end
end

app/controllers/ptangki_controller.rb
class PtangkiController < ApplicationController
end

app/controllers/register_controller.rb
class RegisterController < ApplicationController
	def new
	end

	def create
    user = User.new(user_params)
    if user.save
      session[:user_id] = user.id
      redirect_to '/'
    else
      redirect_to '/register'
    end
  end

  def profile
    @user = current_user
  end

  def edit
    @user = current_user
  end
  
  def update
    @user = current_user
    if @user.update_attributes(user_params)
      redirect_to '/profile'
    else
      render 'edit'
    end
  end

  def epass
    @user = current_user
  end

  def uppass
    @user = current_user
    if @user.update_attributes(pass_params)
      redirect_to '/'
    else
      render 'epass'
    end
  end

  private
  def user_params
    params.require(:user).permit(:fnama, :nama, :telp, :alamat, :password, :password_confirmation)
  end

  def profile_params
    params.require(:user).permit(:fnama, :nama, :telp, :alamat)
  end

  def pass_params
    params.require(:user).permit(:password, :password_confirmation)
  end
end

app/controllers/tangki_controller.rb
class TangkiController < ApplicationController
	def index
		@tangkis = Tangki.all
	end

	def show
		@tangkid = Tangki.find(params[:id])
	end
	
	def new
		@tangki = Tangki.new
	end

	def create
		@tangki = Tangki.new(tangki_params)
		if @tangki.save
			redirect_to @tangki
		else
			redirect_to '/tform'
		end
	end

	private
	def tangki_params
		params.require(:tangki).permit(:liter, :telp, :alamat)
	end
end

app/helpers/about_helper.rb
module AboutHelper
end

app/helpers/admin_helper.rb
module AdminHelper
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/galon_helper.rb
module GalonHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/helpers/login_helper.rb
module LoginHelper
end

app/helpers/pgalon_helper.rb
module PgalonHelper
end

app/helpers/ptangki_helper.rb
module PtangkiHelper
end

app/helpers/register_helper.rb
module RegisterHelper
end

app/helpers/session_helper.rb
module SessionHelper
end

app/helpers/tangki_helper.rb
module TangkiHelper
end

app/views/galon/index.html.erb
<%= render 'menu' %>

<h1 align="center">Riwayat Pemesanan</h1>
 
<table class="table table-hover">
  <tr>
    <th>Jumlah Galon</th>
    <th>No. Telepon</th>
    <th>Alamat</th>
    <th></th>
  </tr>
 
  <% @galons.each do |galon| %>
    <tr>
      <td><%= galon.jgalon %></td>
      <td><%= galon.telp %></td>
      <td><%= galon.alamat %></td>
      <td><%= link_to 'Show', galon_path(galon) %></td>
    </tr>
  <% end %>
</table>

<div class="form-group" align="center">
  <a href="/gform" class="btn btn-primary"> Pesan Galon</a>
</div>

<%= render 'footer' %>

app/views/galon/new.html.erb
<style>
  .form-group input {
    margin: 0 .25rem;
    min-width: 125px;
    border: 1px solid #eee;
    border-left: 3px solid;
    border-radius: 5px;
    transition: border-color .5s ease-out;
  }
  .form-group input:optional {
    border-left-color: #999;
  }
  .form-group input:required:valid {
    border-left-color: palegreen;
  }
  .form-group input:invalid {
    border-left-color: salmon;
  }
</style>

<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><strong>Form Pemesanan Air Galon</strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal" accept-charset="UTF-8" action="<%= gsave_path %>" method="post">

					<div style="margin:0;padding:0">
                    <input name="utf8" type="hidden" value="&#x2713;" />
                    <input name="authenticity_token" type="hidden" value="f755bb0ed134b76c432144748a6d4b7a7ddf2b71" />
                  </div>

					<div class="form-group">
						<label class="control-label col-sm-2" for="nama">Jumlah Galon:</label>
						<div class="col-sm-6">
							<input type="number" class="form-control" id="jgalon" name="galon[jgalon]" required>
						</div>
					</div>
					
					<div class="form-group">
						<label class="control-label col-sm-2" for="nama">Nomor Telepon:</label>
						<div class="col-sm-6">
							<input type="number" class="form-control" id="telp" name="galon[telp]" required>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-2" for="telp">Alamat:</label>
						<div class="col-sm-6">
							<input type="text" class="form-control" id="alamat" name="galon[alamat]" required>
						</div>
					</div>

					<hr>
					<div class="card-footer" align="center">
						<div class="col-sm-4">
							<input name="submit" type="submit" value="Pesan" class="btn btn-primary btn-block" data-confirm="Apa anda yakin ingin memesan?">
							<a href="/home" class="btn btn-danger btn-block"> Batal</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>

app/views/galon/show.html.erb
<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><center><strong>Pemesanan</center></strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal">
					<div class="form-group">
						<label class="control-label col-sm-3">Jumlah Galon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galond.jgalon %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3" for="telp">No. Telepon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galond.telp %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Alamat:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galond.alamat%></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Harga:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= number_to_currency (@galond.sub_total), unit: "Rp", seperator: "," %></label>
						</div>
					</div>
					<div class="form-group" align="center">
						<a href="/gindex" class="btn btn-primary"> Kembali ke Riwayat</a>
					</div>
				</form>
				<hr>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>

app/views/tangki/index.html.erb
<%= render 'menu' %>

<h1 align="center">Riwayat Pemesanan</h1>
 
<table class="table table-hover">
  <tr>
    <th>Jumlah Tangki</th>
    <th>No. Telepon</th>
    <th>Alamat</th>
    <th></th>
  </tr>
 
  <% @tangkis.each do |tangki| %>
    <tr>
      <td><%= tangki.liter %></td>
      <td><%= tangki.telp %></td>
      <td><%= tangki.alamat %></td>
      <td><%= link_to 'Show', tangki_path(tangki) %></td>
    </tr>
  <% end %>
</table>

<div class="form-group" align="center">
  <a href="/tform" class="btn btn-primary"> Pesan Galon</a>
</div>

<%= render 'footer' %>

app/views/tangki/new.html.erb
<style>
  .form-group input {
    margin: 0 .25rem;
    min-width: 125px;
    border: 1px solid #eee;
    border-left: 3px solid;
    border-radius: 5px;
    transition: border-color .5s ease-out;
  }
  .form-group input:optional {
    border-left-color: #999;
  }
  .form-group input:required:valid {
    border-left-color: palegreen;
  }
  .form-group input:invalid {
    border-left-color: salmon;
  }
</style>

<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><strong>Form Pemesanan Air Tangki</strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal"  accept-charset="UTF-8" action="<%= tsave_path %>" method="post">

					<div style="margin:0;padding:0">
                    <input name="utf8" type="hidden" value="&#x2713;" />
                    <input name="authenticity_token" type="hidden" value="f755bb0ed134b76c432144748a6d4b7a7ddf2b71" />
                  </div>

					<div class="form-group">
						<label class="control-label col-sm-2"> Jumlah Liter:</label>
						<div class="col-sm-2">
							<div class="dropdown">
								<select class="form-control" id="liter" name="tangki[liter]" required>
									<option>Jumlah Liter.... </option>
									<option value="1">5.000 Liter</option>
									<option value="2">10.000 Liter</option>
									<option value="3">15.000 Liter</option>
								</select>
							</div>
						</div>
					</div>
					
					<div class="form-group">
						<label class="control-label col-sm-2" for="nama">Nomor Telepon:</label>
						<div class="col-sm-6">
							<input type="number" class="form-control" id="telp" name="tangki[telp]" required>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-2" for="telp">Alamat:</label>
						<div class="col-sm-6">
							<input type="text" class="form-control" id="alamat" name="tangki[alamat]" required>
						</div>
					</div>
					<hr>
					<div class="card-footer" align="center">
						<div class="col-sm-4">
							<input name="submit" type="submit" value="Pesan" class="btn btn-primary btn-block" data-confirm="Apa anda yakin ingin memesan?">
							<a href="/home" class="btn btn-danger btn-block"> Batal</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>

app/views/tangki/show.html.erb
<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><center><strong>Pemesanan</center></strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal">
					<div class="form-group">
						<label class="control-label col-sm-3">Jumlah Tangki:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangkid.liter %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3" for="telp">No. Telepon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangkid.telp %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Alamat:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangkid.alamat%></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Harga:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= number_to_currency (@tangkid.sub_total), unit: "Rp", seperator: "," %></label>
						</div>
					</div>
					</div>
					<div class="form-group" align="center">
						<a href="/tindex" class="btn btn-primary"> Kembali ke Riwayat</a>
					</div>
				</form>
				<hr>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>